#!/usr/koeki/bin/ruby
# -*- coding: utf-8 -*-

puts"1から9の数字を入力しましょう。足した合計が30以上になると終わるよ!"
sum = 0
while true
  suuji = gets.to_i
  sum += suuji.to_i
  puts"また数字を入れてみましょう!"
  if sum >= 30 then             #合計が30以上になると、処理を開始する。
    printf("合計は%dです。\n",sum)
    break       # 処理を中止して、ループを終わらせる
  end
end


#break  処理を中止して、ループを終わらせる
#改良点  ifを何個か用いることで、いくつかの条件ごとに結果が分かれるようなプログラムをつくることができる。
